POST api/EmailSetting/Add

Request Information

URI Parameters

None.

Body Parameters

EmailSettingDTO
NameDescriptionTypeAdditional information
chk_logout_report

integer

None.

chk_late

integer

None.

chk_late_staff

integer

None.

chk_late_supervisor

integer

None.

chk_offline

integer

None.

chk_offline_staff

integer

None.

chk_offline_supervisor

integer

None.

chk_ban

integer

None.

chk_ban_staff

integer

None.

chk_ban_supervisor

integer

None.

chk_update_timesheet

integer

None.

chk_update_timesheet_timezone_convert

integer

None.

chk_update_timesheet_staff

integer

None.

chk_update_timesheet_supervisor

integer

None.

chk_update_timesheet_timezone

integer

None.

chk_update_timesheet_hour

integer

None.

chk_update_timesheet_minute

integer

None.

userid

string

None.

Request Formats

application/json, text/json

Sample:
{
  "chk_logout_report": 1,
  "chk_late": 1,
  "chk_late_staff": 1,
  "chk_late_supervisor": 1,
  "chk_offline": 1,
  "chk_offline_staff": 1,
  "chk_offline_supervisor": 1,
  "chk_ban": 1,
  "chk_ban_staff": 1,
  "chk_ban_supervisor": 1,
  "chk_update_timesheet": 1,
  "chk_update_timesheet_timezone_convert": 1,
  "chk_update_timesheet_staff": 1,
  "chk_update_timesheet_supervisor": 1,
  "chk_update_timesheet_timezone": 1,
  "chk_update_timesheet_hour": 1,
  "chk_update_timesheet_minute": 1,
  "userid": "sample string 1"
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.